solarOSsolarOS Docs

List a parent-scoped Activity feed

Lists non-deleted Activities for a supported CRM parent. Required query params: parentType and parentId. Required scope: activities:read.

GET
/activities

Lists non-deleted Activities for a supported CRM parent. Required query params: parentType and parentId. Required scope: activities:read.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Query Parameters

parentType*string

Activity parent resource family.

Value in

  • "customer"
  • "property"
  • "lead"
  • "opportunity"
  • "case"
parentId*string

solarOS id of the parent resource.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/activities?parentType=customer&parentId=string"
{  "data": [    {}  ],  "meta": {    "nextCursor": "string",    "hasMore": true,    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}